Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] libhandy: update to 1.0.0
@ 2020-09-14  1:34 julio641742
  2020-09-14  1:41 ` [PR PATCH] [Updated] " julio641742
                   ` (3 more replies)
  0 siblings, 4 replies; 5+ messages in thread
From: julio641742 @ 2020-09-14  1:34 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 561 bytes --]

There is a new pull request by julio641742 against master on the void-packages repository

https://github.com/julio641742/void-packages handy
https://github.com/void-linux/void-packages/pull/24897

libhandy: update to 1.0.0
`libhandy` moved their repos to [here](https://gitlab.gnome.org/GNOME/libhandy/).

I removed `libhandy1` because it conflicted with `libhandy`

I suggest waiting to merge this right before #24260 is done or integrate this request into there.

A patch file from https://github.com/void-linux/void-packages/pull/24897.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-handy-24897.patch --]
[-- Type: text/x-diff, Size: 5310 bytes --]

From 4e85fa0fb9c160475dd4dcefdf4e03640e983912 Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio-void@epazote.net>
Date: Sun, 13 Sep 2020 18:11:54 -0700
Subject: [PATCH 1/2] remove: libhandy1-0.90.0

---
 srcpkgs/libhandy1-devel    |  1 -
 srcpkgs/libhandy1/template | 42 --------------------------------------
 srcpkgs/libhandy1/update   |  2 --
 3 files changed, 45 deletions(-)
 delete mode 120000 srcpkgs/libhandy1-devel
 delete mode 100644 srcpkgs/libhandy1/template
 delete mode 100644 srcpkgs/libhandy1/update

diff --git a/srcpkgs/libhandy1-devel b/srcpkgs/libhandy1-devel
deleted file mode 120000
index 133e5d4d748..00000000000
--- a/srcpkgs/libhandy1-devel
+++ /dev/null
@@ -1 +0,0 @@
-libhandy1
\ No newline at end of file
diff --git a/srcpkgs/libhandy1/template b/srcpkgs/libhandy1/template
deleted file mode 100644
index 191e698b0d6..00000000000
--- a/srcpkgs/libhandy1/template
+++ /dev/null
@@ -1,42 +0,0 @@
-# Template file for 'libhandy1'
-pkgname=libhandy1
-version=0.90.0
-revision=1
-wrksrc="libhandy-${version}"
-build_style=meson
-build_helper="gir"
-# tests need X anyway, so no need to build them
-configure_args="-Dexamples=false -Dtests=false $(vopt_bool gir vapi)
- -Dglade_catalog=$(vopt_if glade enabled disabled)
- -Dintrospection=$(vopt_if gir enabled disabled)"
-hostmakedepends="glib-devel pkg-config $(vopt_if gir vala-devel)"
-makedepends="gtk+3-devel libglib-devel $(vopt_if glade glade3-devel)"
-short_desc="Library full of GTK+ widgets for mobile phones"
-maintainer="Orphaned <orphan@voidlinux.org>"
-license="LGPL-2.0-or-later"
-homepage="https://source.puri.sm/Librem5/libhandy"
-distfiles="${GNOME_SITE}/libhandy/${version%.*}/libhandy-${version}.tar.xz"
-checksum=6ab0869a3aa483298ea20ec89d4c14c38ba4de416b33181d21e15a6039df5985
-
-build_options="gir glade"
-desc_option_glade="Generate glade modules and catalog files"
-build_options_default="gir glade"
-
-libhandy1-devel_package() {
-	depends="${sourcepkg}>=${version}_${revision} gtk+3-devel"
-	conflicts="libhandy-devel>=0"
-	short_desc+=" - development files"
-	pkg_install() {
-		vmove "usr/lib/*.so"
-		vmove usr/include
-		vmove usr/lib/pkgconfig
-		if [ "$build_option_glade" ]; then
-			vmove usr/lib/glade
-			vmove usr/share/glade
-		fi
-		if [ "$build_option_gir" ]; then
-			vmove usr/share/gir-1.0
-			vmove usr/share/vala
-		fi
-	}
-}
diff --git a/srcpkgs/libhandy1/update b/srcpkgs/libhandy1/update
deleted file mode 100644
index bbea94b75ae..00000000000
--- a/srcpkgs/libhandy1/update
+++ /dev/null
@@ -1,2 +0,0 @@
-site="https://source.puri.sm/Librem5/libhandy/tags"
-pattern='/archive/[^/]+/\Q'"$pkgname"'\E-v?\K[\d\.]+(?=\.tar\.gz")'

From 6763c5d3b9068bb37091502ed4d581cceb8ad971 Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio-void@epazote.net>
Date: Sun, 13 Sep 2020 18:12:11 -0700
Subject: [PATCH 2/2] libhandy: update to 1.0.0

---
 common/shlibs             |  3 +--
 srcpkgs/libhandy/template | 11 +++++------
 srcpkgs/libhandy/update   |  2 --
 3 files changed, 6 insertions(+), 10 deletions(-)
 delete mode 100644 srcpkgs/libhandy/update

diff --git a/common/shlibs b/common/shlibs
index ec8310df7b3..1db221699df 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3562,8 +3562,7 @@ libauparse.so.0 libauparse-2.8.4_1
 libOpenCL.so.1 ocl-icd-2.2.12_1
 liburiparser.so.1 uriparser-0.8.6_1
 libcpptest.so.1 cpptest-2.0.0_1
-libhandy-0.0.so.0 libhandy-0.0.3_1
-libhandy-1.so.0 libhandy1-0.90.0_1
+libhandy-1.so.0 libhandy-1.0.0_1
 libswitchboard-2.0.so.0 switchboard-2.3.2_1
 libcodecore.so.0 libio.elementary.code-3.0_1
 libio.elementary.music-core.so.0 libio.elementary.music-5.0_1
diff --git a/srcpkgs/libhandy/template b/srcpkgs/libhandy/template
index 38672f1fb6e..ba6db6ac9d8 100644
--- a/srcpkgs/libhandy/template
+++ b/srcpkgs/libhandy/template
@@ -1,8 +1,7 @@
 # Template file for 'libhandy'
 pkgname=libhandy
-version=0.0.13
+version=1.0.0
 revision=1
-wrksrc="libhandy-v${version}"
 build_style=meson
 build_helper="gir"
 # tests need X anyway, so no need to build them
@@ -11,12 +10,12 @@ configure_args="-Dexamples=false -Dtests=false $(vopt_bool vala vapi)
  -Dintrospection=$(vopt_if gir enabled disabled)"
 hostmakedepends="glib-devel pkg-config $(vopt_if vala vala-devel)"
 makedepends="gtk+3-devel libglib-devel $(vopt_if glade glade3-devel)"
-short_desc="Library full of GTK+ widgets for mobile phones"
+short_desc="Building blocks for modern adaptive GNOME apps"
 maintainer="Orphaned <orphan@voidlinux.org>"
 license="LGPL-2.0-or-later"
-homepage="https://source.puri.sm/Librem5/libhandy"
-distfiles="https://source.puri.sm/Librem5/libhandy/-/archive/v${version}/libhandy-v${version}.tar.gz"
-checksum=138bec94e66d15a7a19350b65845d4529bcd969ea913ab3eb438f56fe47d5d37
+homepage="https://gitlab.gnome.org/GNOME/libhandy"
+distfiles="${homepage}/-/archive/${version}/${pkgname}-${version}.tar.gz"
+checksum=dc1fff98cbc72a492d1adb489ee1b00e43ab4ac14c983c855ef3df435bbbda27
 
 build_options="gir vala glade"
 desc_option_glade="Generate glade modules and catalog files"
diff --git a/srcpkgs/libhandy/update b/srcpkgs/libhandy/update
deleted file mode 100644
index bbea94b75ae..00000000000
--- a/srcpkgs/libhandy/update
+++ /dev/null
@@ -1,2 +0,0 @@
-site="https://source.puri.sm/Librem5/libhandy/tags"
-pattern='/archive/[^/]+/\Q'"$pkgname"'\E-v?\K[\d\.]+(?=\.tar\.gz")'

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [PR PATCH] [Updated] libhandy: update to 1.0.0
  2020-09-14  1:34 [PR PATCH] libhandy: update to 1.0.0 julio641742
@ 2020-09-14  1:41 ` julio641742
  2020-09-14  2:12 ` sgn
                   ` (2 subsequent siblings)
  3 siblings, 0 replies; 5+ messages in thread
From: julio641742 @ 2020-09-14  1:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 566 bytes --]

There is an updated pull request by julio641742 against master on the void-packages repository

https://github.com/julio641742/void-packages handy
https://github.com/void-linux/void-packages/pull/24897

libhandy: update to 1.0.0
`libhandy` moved their repos to [here](https://gitlab.gnome.org/GNOME/libhandy/).

I removed `libhandy1` because it conflicted with `libhandy`

I suggest waiting to merge this right before #24260 is done or integrate this request into there.

A patch file from https://github.com/void-linux/void-packages/pull/24897.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-handy-24897.patch --]
[-- Type: text/x-diff, Size: 5316 bytes --]

From 4e85fa0fb9c160475dd4dcefdf4e03640e983912 Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio-void@epazote.net>
Date: Sun, 13 Sep 2020 18:11:54 -0700
Subject: [PATCH 1/2] remove: libhandy1-0.90.0

---
 srcpkgs/libhandy1-devel    |  1 -
 srcpkgs/libhandy1/template | 42 --------------------------------------
 srcpkgs/libhandy1/update   |  2 --
 3 files changed, 45 deletions(-)
 delete mode 120000 srcpkgs/libhandy1-devel
 delete mode 100644 srcpkgs/libhandy1/template
 delete mode 100644 srcpkgs/libhandy1/update

diff --git a/srcpkgs/libhandy1-devel b/srcpkgs/libhandy1-devel
deleted file mode 120000
index 133e5d4d748..00000000000
--- a/srcpkgs/libhandy1-devel
+++ /dev/null
@@ -1 +0,0 @@
-libhandy1
\ No newline at end of file
diff --git a/srcpkgs/libhandy1/template b/srcpkgs/libhandy1/template
deleted file mode 100644
index 191e698b0d6..00000000000
--- a/srcpkgs/libhandy1/template
+++ /dev/null
@@ -1,42 +0,0 @@
-# Template file for 'libhandy1'
-pkgname=libhandy1
-version=0.90.0
-revision=1
-wrksrc="libhandy-${version}"
-build_style=meson
-build_helper="gir"
-# tests need X anyway, so no need to build them
-configure_args="-Dexamples=false -Dtests=false $(vopt_bool gir vapi)
- -Dglade_catalog=$(vopt_if glade enabled disabled)
- -Dintrospection=$(vopt_if gir enabled disabled)"
-hostmakedepends="glib-devel pkg-config $(vopt_if gir vala-devel)"
-makedepends="gtk+3-devel libglib-devel $(vopt_if glade glade3-devel)"
-short_desc="Library full of GTK+ widgets for mobile phones"
-maintainer="Orphaned <orphan@voidlinux.org>"
-license="LGPL-2.0-or-later"
-homepage="https://source.puri.sm/Librem5/libhandy"
-distfiles="${GNOME_SITE}/libhandy/${version%.*}/libhandy-${version}.tar.xz"
-checksum=6ab0869a3aa483298ea20ec89d4c14c38ba4de416b33181d21e15a6039df5985
-
-build_options="gir glade"
-desc_option_glade="Generate glade modules and catalog files"
-build_options_default="gir glade"
-
-libhandy1-devel_package() {
-	depends="${sourcepkg}>=${version}_${revision} gtk+3-devel"
-	conflicts="libhandy-devel>=0"
-	short_desc+=" - development files"
-	pkg_install() {
-		vmove "usr/lib/*.so"
-		vmove usr/include
-		vmove usr/lib/pkgconfig
-		if [ "$build_option_glade" ]; then
-			vmove usr/lib/glade
-			vmove usr/share/glade
-		fi
-		if [ "$build_option_gir" ]; then
-			vmove usr/share/gir-1.0
-			vmove usr/share/vala
-		fi
-	}
-}
diff --git a/srcpkgs/libhandy1/update b/srcpkgs/libhandy1/update
deleted file mode 100644
index bbea94b75ae..00000000000
--- a/srcpkgs/libhandy1/update
+++ /dev/null
@@ -1,2 +0,0 @@
-site="https://source.puri.sm/Librem5/libhandy/tags"
-pattern='/archive/[^/]+/\Q'"$pkgname"'\E-v?\K[\d\.]+(?=\.tar\.gz")'

From 52414fc20bc493ada173cb53ca47383030e21ea2 Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio-void@epazote.net>
Date: Sun, 13 Sep 2020 18:12:11 -0700
Subject: [PATCH 2/2] libhandy: update to 1.0.0

---
 common/shlibs             |  3 +--
 srcpkgs/libhandy/template | 11 +++++------
 srcpkgs/libhandy/update   |  2 +-
 3 files changed, 7 insertions(+), 9 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index ec8310df7b3..1db221699df 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3562,8 +3562,7 @@ libauparse.so.0 libauparse-2.8.4_1
 libOpenCL.so.1 ocl-icd-2.2.12_1
 liburiparser.so.1 uriparser-0.8.6_1
 libcpptest.so.1 cpptest-2.0.0_1
-libhandy-0.0.so.0 libhandy-0.0.3_1
-libhandy-1.so.0 libhandy1-0.90.0_1
+libhandy-1.so.0 libhandy-1.0.0_1
 libswitchboard-2.0.so.0 switchboard-2.3.2_1
 libcodecore.so.0 libio.elementary.code-3.0_1
 libio.elementary.music-core.so.0 libio.elementary.music-5.0_1
diff --git a/srcpkgs/libhandy/template b/srcpkgs/libhandy/template
index 38672f1fb6e..ba6db6ac9d8 100644
--- a/srcpkgs/libhandy/template
+++ b/srcpkgs/libhandy/template
@@ -1,8 +1,7 @@
 # Template file for 'libhandy'
 pkgname=libhandy
-version=0.0.13
+version=1.0.0
 revision=1
-wrksrc="libhandy-v${version}"
 build_style=meson
 build_helper="gir"
 # tests need X anyway, so no need to build them
@@ -11,12 +10,12 @@ configure_args="-Dexamples=false -Dtests=false $(vopt_bool vala vapi)
  -Dintrospection=$(vopt_if gir enabled disabled)"
 hostmakedepends="glib-devel pkg-config $(vopt_if vala vala-devel)"
 makedepends="gtk+3-devel libglib-devel $(vopt_if glade glade3-devel)"
-short_desc="Library full of GTK+ widgets for mobile phones"
+short_desc="Building blocks for modern adaptive GNOME apps"
 maintainer="Orphaned <orphan@voidlinux.org>"
 license="LGPL-2.0-or-later"
-homepage="https://source.puri.sm/Librem5/libhandy"
-distfiles="https://source.puri.sm/Librem5/libhandy/-/archive/v${version}/libhandy-v${version}.tar.gz"
-checksum=138bec94e66d15a7a19350b65845d4529bcd969ea913ab3eb438f56fe47d5d37
+homepage="https://gitlab.gnome.org/GNOME/libhandy"
+distfiles="${homepage}/-/archive/${version}/${pkgname}-${version}.tar.gz"
+checksum=dc1fff98cbc72a492d1adb489ee1b00e43ab4ac14c983c855ef3df435bbbda27
 
 build_options="gir vala glade"
 desc_option_glade="Generate glade modules and catalog files"
diff --git a/srcpkgs/libhandy/update b/srcpkgs/libhandy/update
index bbea94b75ae..a32ea128f7f 100644
--- a/srcpkgs/libhandy/update
+++ b/srcpkgs/libhandy/update
@@ -1,2 +1,2 @@
-site="https://source.puri.sm/Librem5/libhandy/tags"
+site="https://gitlab.gnome.org/GNOME/libhandy/tags"
 pattern='/archive/[^/]+/\Q'"$pkgname"'\E-v?\K[\d\.]+(?=\.tar\.gz")'

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: libhandy: update to 1.0.0
  2020-09-14  1:34 [PR PATCH] libhandy: update to 1.0.0 julio641742
  2020-09-14  1:41 ` [PR PATCH] [Updated] " julio641742
@ 2020-09-14  2:12 ` sgn
  2020-09-14  2:12 ` [PR PATCH] [Closed]: " sgn
  2020-09-15  0:13 ` sgn
  3 siblings, 0 replies; 5+ messages in thread
From: sgn @ 2020-09-14  2:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 173 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/24897#issuecomment-691771386

Comment:
See #24487 update libhandy-1 instead

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [PR PATCH] [Closed]: libhandy: update to 1.0.0
  2020-09-14  1:34 [PR PATCH] libhandy: update to 1.0.0 julio641742
  2020-09-14  1:41 ` [PR PATCH] [Updated] " julio641742
  2020-09-14  2:12 ` sgn
@ 2020-09-14  2:12 ` sgn
  2020-09-15  0:13 ` sgn
  3 siblings, 0 replies; 5+ messages in thread
From: sgn @ 2020-09-14  2:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 404 bytes --]

There's a closed pull request on the void-packages repository

libhandy: update to 1.0.0
https://github.com/void-linux/void-packages/pull/24897

Description:
`libhandy` moved their repos to [here](https://gitlab.gnome.org/GNOME/libhandy/).

I removed `libhandy1` because it conflicted with `libhandy`

I suggest waiting to merge this right before #24260 is done or integrate this request into there.

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [PR PATCH] [Closed]: libhandy: update to 1.0.0
  2020-09-14  1:34 [PR PATCH] libhandy: update to 1.0.0 julio641742
                   ` (2 preceding siblings ...)
  2020-09-14  2:12 ` [PR PATCH] [Closed]: " sgn
@ 2020-09-15  0:13 ` sgn
  3 siblings, 0 replies; 5+ messages in thread
From: sgn @ 2020-09-15  0:13 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 404 bytes --]

There's a closed pull request on the void-packages repository

libhandy: update to 1.0.0
https://github.com/void-linux/void-packages/pull/24897

Description:
`libhandy` moved their repos to [here](https://gitlab.gnome.org/GNOME/libhandy/).

I removed `libhandy1` because it conflicted with `libhandy`

I suggest waiting to merge this right before #24260 is done or integrate this request into there.

^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2020-09-15  0:13 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-09-14  1:34 [PR PATCH] libhandy: update to 1.0.0 julio641742
2020-09-14  1:41 ` [PR PATCH] [Updated] " julio641742
2020-09-14  2:12 ` sgn
2020-09-14  2:12 ` [PR PATCH] [Closed]: " sgn
2020-09-15  0:13 ` sgn

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git